summaryrefslogtreecommitdiffstats
path: root/test/Feature/TestOptimizer.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/Feature/TestOptimizer.sh')
-rwxr-xr-xtest/Feature/TestOptimizer.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/test/Feature/TestOptimizer.sh b/test/Feature/TestOptimizer.sh
index f51be2e..54736471 100755
--- a/test/Feature/TestOptimizer.sh
+++ b/test/Feature/TestOptimizer.sh
@@ -8,7 +8,9 @@ export LD_LIBRARY_PATH
# Should not be able to optimize further!
../tools/opt/opt -q -constprop -dce < $1.bc.1 > $1.bc.2 || exit 2
-diff $1.bc.[12] || exit 3
+dis < $1.bc.1 > $1.ll.1 || exit 3
+dis < $1.bc.2 > $1.ll.2 || exit 3
+diff $1.ll.[12] || exit 3
# Try out SCCP
../tools/as/as < $1 | ../tools/opt/opt -q -inline -dce -sccp -dce | ../tools/dis/dis | ../tools/as/as > $1.bc.3 || exit 1
@@ -17,5 +19,5 @@ diff $1.bc.[12] || exit 3
#../tools/opt/opt -q -sccp -dce < $1.bc.3 > $1.bc.4 || exit 2
#diff $1.bc.[34] || exit 3
-rm $1.bc.[123]
+rm $1.bc.[123] $1.ll.[12]